Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class AuthorizationManagerImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.cms.security.AuthorizationManagerImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, AuthorizationManager, org.jboss.portal.security.spi.auth.PortalAuthorizationManager, org.jboss.portal.security.spi.auth.PortalAuthorizationManagerFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class AuthorizationManagerImpl

extends org.jboss.portal.jems.as.system.AbstractJBossService
implements AuthorizationManager

Created on : Jan 23, 2007

Author:
  Sohil Shah - sohil.shah@jboss.com

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.portal.cms.security.AuthorizationManager
`Anonymous`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AuthorizationManagerImpl()`

Method Summary
`boolean` | `checkPermission(org.jboss.portal.security.PortalPermission permission)`
`boolean` | `checkPermission(javax.security.auth.Subject checkedSubject, org.jboss.portal.security.PortalPermission permission)`
`java.lang.String` | `getJNDIName()`
`org.jboss.portal.security.spi.auth.PortalAuthorizationManager` | `getManager()`
`AuthorizationProvider` | `getProvider()`
`protected void` | `setEnforcer(ACLEnforcer enforcer)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setProvider(AuthorizationProvider provider)`
`void` | `startService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationManagerImpl

    public AuthorizationManagerImpl()

Method Detail

### getProvider

    public AuthorizationProvider getProvider()

  Specified by:
    `getProvider` in interface `AuthorizationManager`
  Returns:

### setProvider

    public void setProvider(AuthorizationProvider provider)

  Parameters:
    `provider` -

### getJNDIName

    public java.lang.String getJNDIName()

  Returns:

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

  Parameters:
    `jndiName` -

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getManager

    public org.jboss.portal.security.spi.auth.PortalAuthorizationManager getManager()
                                                                             throws org.jboss.portal.security.PortalSecurityException

  Specified by:
    `getManager` in interface `org.jboss.portal.security.spi.auth.PortalAuthorizationManagerFactory`
  Throws:
    `org.jboss.portal.security.PortalSecurityException`

### checkPermission

    public boolean checkPermission(org.jboss.portal.security.PortalPermission permission)
                            throws org.jboss.portal.security.PortalSecurityException

  Specified by:
    `checkPermission` in interface `org.jboss.portal.security.spi.auth.PortalAuthorizationManager`
  Throws:
    `org.jboss.portal.security.PortalSecurityException`

### checkPermission

    public boolean checkPermission(javax.security.auth.Subject checkedSubject,
                                   org.jboss.portal.security.PortalPermission permission)
                            throws org.jboss.portal.security.PortalSecurityException

  Specified by:
    `checkPermission` in interface `org.jboss.portal.security.spi.auth.PortalAuthorizationManager`
  Throws:
    `org.jboss.portal.security.PortalSecurityException`

### setEnforcer

    protected void setEnforcer(ACLEnforcer enforcer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.